'use strict';

var React = require('react');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var React__default = /*#__PURE__*/_interopDefault(React);

/**
 * Copyright IBM Corp. 2016, 2023
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */


const PrefixContext = /*#__PURE__*/React__default.default.createContext('cds');
function usePrefix() {
  return React__default.default.useContext(PrefixContext);
}

exports.PrefixContext = PrefixContext;
exports.usePrefix = usePrefix;
